Website Builder API
POST /services/websites/v1/structures/{type}/categories/get Auth

Get Structure Category

Parameters

NameTypeInRequiredDescription
type string path Required

Request Body Required

FieldTypeRequiredDescriptionExample
id string Yes ID of the category to retrieve

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.id string
data.link string
data.layout_id string
data.title string
data.url string
data.intro string
data.content string
data.image string
data.parent_id string
data.status string
data.sort_number string
data.meta_keyword string
data.disable_single_page string
data.disable_listing string
data.meta_title string
data.meta_image string
data.meta_description string
data.no_index string
data.canonical_url string
data.posts string Rich text content - already HTML
data.meta string
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/structures/{type}/categories/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/structures/{type}/categories/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "id": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/websites/v1/structures/{type}/categories/get', {
    "id": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "id": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/structures/{type}/categories/get", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "id": "string",
        "link": "string",
        "layout_id": "string",
        "title": "string",
        "url": "string",
        "intro": "string",
        "content": "string",
        "image": "string",
        "parent_id": "string",
        "status": "string",
        "sort_number": "string",
        "meta_keyword": "string",
        "disable_single_page": "string",
        "disable_listing": "string",
        "meta_title": "string",
        "meta_image": "string",
        "meta_description": "string",
        "no_index": "string",
        "canonical_url": "string",
        "posts": "string",
        "meta": "string"
    }
}

Try It
type Required
Request Body Required

Export